petsc-3.4.2 2013-07-02

# SNESShellSetContext

sets the context for a shell SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESShellSetContext(SNES snes,void *ctx)

Logically Collective on SNES

### Input Parameters

| snes | - the shell SNES
| ctx | - the context

Fortran Notes: The context can only be an integer or a PetscObject unfortunately it cannot be a Fortran array or derived type.

### See Also

SNESCreateShell(), SNESShellGetContext()

Level:advanced
Location:src/snes/impls/shell/snesshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html